import os
import glob
import cv2
import numpy as np
from flask import Flask, jsonify, render_template, request, redirect
    
app = Flask(__name__)
app.config['UPLOAD_FOLDER'] = os.path.basename('up')

@app.route('/')
def root():
    return render_template('index.html')

@app.route('/upload', methods=['POST'])
def upload_file():
    file = request.files['image']
    f = os.path.join(app.config['UPLOAD_FOLDER'], file.filename)
    file.save(f)
    return redirect('/')

@app.route("/next/<id>")
def next(id):
	list_of_files = glob.glob('./up/*')
	imgpath = max(list_of_files, key=os.path.getctime)

	id = int(id)
	img = cv2.imread(imgpath)
	img = cv2.resize(img, (60, 60))
	ar = []

	for x in range(0, 60):
		ls =  list( map( lambda x: x , img[x][id].tolist() ) ) 
		ar.append( ls )
	return jsonify({ "data": ar })

if __name__ == "__main__":
	app.run(host="192.168.43.177", debug=True)